import type { ThemeRegistration } from '@shikijs/types';
import type { ScrollViewProps, StyleProp, TextStyle, ViewStyle } from 'react-native';
import type { SyntaxHighlighterProps } from 'src/types/shiki';
import React from 'react';
export declare function getRNStylesFromShikiStyle(theme: ThemeRegistration): Record<string, TextStyle>;
interface Props extends SyntaxHighlighterProps {
    scrollViewProps?: ScrollViewProps;
    textStyle?: StyleProp<TextStyle>;
    containerStyle?: StyleProp<ViewStyle>;
}
declare const SyntaxHighlighter: React.FC<Props>;
export default SyntaxHighlighter;
//# sourceMappingURL=SyntaxHighlighter.d.ts.map